@media print {
    .noprint {
        display: none;
        visibility: hidden;
    }
    th {
        text-align: left;
    }
}

input[type="datetime-local"], input[type="date"] {

    height: 40px;
}

input[type="number"] {
    width: 120px;
}

.table-fixed th {
    word-break: keep-all; /* 不換行 */
    white-space: nowrap; /* 不換行 */
    height: 25px !important;
    overflow: hidden !important;
}

.loading {
    z-index: -1;
    opacity: 0;
    transition: .5s;
    background: rgba(255, 255, 255, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

.loading.show {
    z-index: 200;
    opacity: 1;
}

.loading .spinner {
    animation: rotator 1.4s linear infinite;
}

.loading .path {
    stroke-dasharray: 187;
    stroke-dashoffset: 0;
    transform-origin: center;
    animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
}

@keyframes rotator {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(270deg);
    }
}

@keyframes colors {
    0% {
        stroke: #4285F4;
    }

    25% {
        stroke: #DE3E35;
    }

    50% {
        stroke: #F7C223;
    }

    75% {
        stroke: #1B9A59;
    }

    100% {
        stroke: #4285F4;
    }
}

@keyframes dash {
    0% {
      stroke-dashoffset: 187;
    }
    50% {
      stroke-dashoffset: 46.75;
      transform: rotate(135deg);
    }
    100% {
      stroke-dashoffset: 187;
      transform: rotate(450deg);
    }
  }
  /*mobile  */
@media screen and (max-width: 724px) and (min-width: 0) {
    img .mobile {
        display: block;
    }
    img .pc {
        display: none;
    }
        .table-pc {
            display: none;
        }

        .allopen {
            display: block;
            padding-right: 10px;
            padding-bottom: 10px;

        }

        .table-mobile {
            display: block;
        }
}
/*pc*/
@media screen and (min-width: 725px) {
    img .mobile {
        display: none;
    }
    img .pc {
        display: block;
    }
    .table-pc {
        display: table;
    }
    .table-mobile {
        display: none;
    }
    .allopen {
        display: none;
    }

}
.more-icon {
    position: absolute;
    right: 16px;
    bottom: 16px;
    padding:10px;
}
.form-check-inline>label {
    font-weight: normal !important;
}


.fixed-rightbottom{
    z-index: 999;
    position: fixed;
    bottom: 0;
    right: 0;
}

.fixed-bottom{


    font-size: 2.0em;
    height: 9%;

}
.fixed-bottom button{
height: 100%;

}


.imgcenter {
        margin-left: auto;
        margin-right: auto;
        display: block;
}
input[type="number"].text-input {
    width:80px;
}
.text-input{
    size:12px;
    position: absolute;
    vertical-align:text-bottom;
    text-align:center;
    /* width: 100px;
    height: 25px; */
   /* position: relative;

     */
    padding: 0px 1px 0 4px;
    margin: 0 0 7px 2px;
    text-overflow: ellipsis;
    resize: none;

    overflow: hidden;
    color: #6E6E6E;
    background-color: #FFF7C8;
    border: 1px solid transparent;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
    box-shadow: none;
    -o-box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    outline: none;

}
.text-input-show{

    background-color: #FFF;


}
.sign {
        position: absolute;
        border-width: 1px;
        border-style: solid;
        border-color: #000;
        /* width: 153px;
        height: 41px; */

}
/* mobile   */
/* @media screen and (max-width: 724px) and (min-width: 0) {
    .text-input{
        width: 50px;
        height: 15px;
    }
    input[type="number"].text-input {
        width:40px;
    }
    .sign {

        width: 53px;
        height: 21px;
    }
} */
.signature{
    color: #7A9ABC;
    font-size:20px;
    text-align:left;
}
.sign.is-invalid {
    border-color: #dc3545;
}